Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::Comparator Class Reference

Interfrace of comparator of record keys. More...

`#include <kccompare.h>`

List of all members.

## Public Member Functions

virtual | ~Comparator ()
| Destructor.
virtual int32_t | compare (const char *akbuf, size_t aksiz, const char *bkbuf, size_t bksiz)=0
| Compare two keys.

## Detailed Description

Interfrace of comparator of record keys.

## Constructor & Destructor Documentation

virtual kyotocabinet::Comparator::~Comparator | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int32_t kyotocabinet::Comparator::compare | ( | const char * | akbuf,
|  | size_t | aksiz,
|  | const char * | bkbuf,
|  | size_t | bksiz
| ) |  | `[pure virtual]`

Compare two keys.

Parameters:

  akbuf | the pointer to the region of one key.
  aksiz | the size of the region of one key.
  bkbuf | the pointer to the region of the other key.
  bksiz | the size of the region of the other key.

Returns:
  positive if the former is big, negative if the latter is big, 0 if both are equivalent.

Implemented in kyotocabinet::DecimalDescendingComparator, kyotocabinet::DecimalComparator, kyotocabinet::LexicalDescendingComparator, and kyotocabinet::LexicalComparator.